Rilasciata la versione 2 del plugin per WordPress Technorati Rank!

Sulla scia del primo Technorati Rank Plugin, ho ridisegnato il contenuto di output per realizzarlo CSS driven (sotto c'è uno screenshot, puoi interagire con quello nella barra laterale del mio sito):

Technorati Rank Plugin WordPress Versione 2

Questo è stato un po 'più impegnativo da produrre, ma l'output è molto più bello. In primo luogo, ho utilizzato ciò su cui stavo imparando Bittbox per rendere ciascuno dei pulsanti di output sull'immagine in Illustrator.

Il passo successivo è stato utilizzare gli stili per costruire effettivamente qualcuno di un file mappa immagine tranne che in realtà c'è nessuna mappa! È piuttosto interessante, in realtà. Puoi impostare lo sfondo div globale e quindi creare ciascuno degli "hotspot" utilizzando il posizionamento assoluto e CSS. Visualizza l'output CSS.

Ho anche aggiunto un collegamento al nuovo di Technorati WTF pagina e l'indirizzo RSS del sito. Spero vi piaccia! Penso che sia un enorme miglioramento rispetto alla prima versione! C'e 'un i link in basso a destra che promuove anche il plugin.

Attuale versione del plugin WordPress Technorati Rank 2.0.4

Commenti

  1. 1
    • 2

      Lo è di sicuro! Stavo cercando l'assistenza di Illustrator da un po 'di tempo. Non lo uso abbastanza per essere fantastico, quindi un sito come Bittbox mi fa risparmiare un SACCO di tempo!

  2. 3

    Ho provato a installare il più nuovo e il migliore seguendo le tue indicazioni alla "lettera" 🙂

    ma ho ricevuto il seguente errore

    Errore irreversibile: impossibile creare un'istanza di classe inesistente: simplexmlelement in /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php sulla riga 64

    eventuali suggerimenti?

    • 4
      • 5
        • 6

          Spero che lo facciano! Ma spero anche che il tuo host venga aggiornato. PHP5 apporta davvero alcuni miglioramenti delle prestazioni molto migliori, nonché alcuni strumenti migliori per l'utilizzo delle API. Utilizzo Jumpline, vedrai un collegamento nella mia lista degli sponsor sulla mia home page. Credo anche che Dotster abbia un buon hosting VDS con le ultime novità.

      • 7

        Doug,
        Ho lo stesso problema
        Ho chiamato il mio host e mi hanno detto che il mio server ha PHP 4 e PHP 5, ma se voglio eseguire un file usando PHP 5, lo script deve avere l'estensione .php5.

        Quindi ... ho cambiato le estensioni dei file e scompare dai plugin in wordpress.

        Qualche idea?

  3. 10

    Plugin fantastico, stile eccellente! Grazie Doug e ottimo lavoro. Non ho mai nemmeno saputo del primo, ma questo sta andando subito nella mia barra laterale.

    È DAVVERO gratificante vedere che i miei suggerimenti di Illustrator ti hanno aiutato a creare i tuoi pulsanti !!!!!

    grazie ancora,

    ~ BittBox

    • 11

      Grazie, BittBox! Penso di avere un buon occhio per lo stile, ma mi sembra di non farlo mai bene la maggior parte delle volte. Essere in grado di scaricare effettivamente i tuoi campioni e sezionarli è ciò che fa la differenza. Adesso sono in grado di mettere in pratica quelle idee. 🙂

      Sto giocando con alcuni pensieri sull'intestazione e sullo sfondo del mio blog.

  4. 12

    Bene, Doug, sembra che il plugin della versione 2 mi odia. Ricevo messaggi di errore:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Nonostante i messaggi di errore, mostra anche il mio grado Technorati (~ 26.5k: D). Non sono abbastanza informato su PHP per sapere perché sta piangendo per quel file.
    È interessante notare che sul nostro server usiamo SuPHP, quindi tutto funziona come noi (quindi i requisiti di chmod non richiedono più file scrivibili in tutto il mondo e gli script php non verranno eseguiti se chmod è troppo alto, per esempio).

    Tutto il php per questo sottodominio viene eseguito come php5.

    Qualche idea?

    • 13

      Hai una directory wp-content / cache Xial? Ho pensato che sarebbe stata una buona idea utilizzare la stessa directory cache di WP-Cache. Col senno di poi, forse non è stata una buona idea! Quella riga è sicuramente da scrivere nel file di cache.

      • 14

        Sicuramente sì, Doug. Uso WP-Cache da un po 'di tempo. 🙂

        Ero anche un po 'curioso del motivo per cui si sarebbe lamentato di questo, dato che ho la directory necessaria, ma immagino sia qualcos'altro.

      • 15

        Informazioni interessanti da aggiungere:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Restituisce ancora gli errori.

    • 16

      Voglio solo intervenire con lo stesso errore. Il sito esegue php5 e viene visualizzato il pulsante.
      Ho provato a commentare le righe 121-123 e la spina funziona bene. Posso metterlo in diretta o la mancanza di quelle linee causerà problemi a lungo termine?

  5. 17

    Ricevo gli stessi errori di cui sopra, ho anche pensato che fosse la mia directory della cache ma ne ho una e mi sono anche assicurato che i diritti di scrittura fossero corretti.
    Nella barra laterale mostrerà il plugin (con rango) ma con quegli errori sopra di esso.

    • 18

      Ciao Richard,

      Puoi verificare di avere la versione PHP 5+ e che CURL è abilitato? Puoi farlo creando una pagina sul tuo sito con <?php phpinfo(); ?> in una pagina. Quindi apri quella pagina. La parte superiore della pagina avrà la tua versione di PHP e puoi fare una ricerca per CURL per assicurarti che sia abilitato.

      Grazie!
      Doug

      • 19

        Bene, Doug, ho ricontrollato la mia versione PHP.
        Sto eseguendo PHP5 e cURL è compilato (una delle mie solite tre richieste al mio host, per le cose da compilare in PHP).

        Tutto il resto funziona bene, ma non sono del tutto sicuro del motivo per cui questo plugin sta soffocando, a meno che non sia la versione di cURL compilata in PHP (siamo alla 7.15.4 e l'ultima sembra essere la 7.16.1). Tuttavia, non voglio infastidire il mio host per compilare nuovamente php5 solo per questo, se posso evitarlo. <: 3

        • 20

          Darò uno sguardo più approfondito questo fine settimana. Funziona senza problemi su alcuni siti, quindi è una delle 3 cose: 1. Cache, 2. cURL o 3. Versione PHP.

          Posso utilizzare le vecchie funzionalità di PHP 4 per estrarre e analizzare l'XML, ma potrebbe rallentarlo un po ': lo proverò questo fine settimana. Apprezzo tutti gli input. "Houston abbiamo un problema!".

  6. 21
  7. 22
  8. 23

    Ho ricevuto alcune richieste di errori di scrittura o lettura dal file di cache. In realtà ho identificato un problema in cui stavo spingendo e tirando il file della cache nella directory principale. Ho modificato la versione 2.0.4 in modo che scriva in una sottodirectory della cache all'interno della directory del plugin.

    Per favore fatemi sapere come funziona! (Ha ancora bisogno di SimpleXML e cURL!)

Cosa ne pensi?

Questo sito utilizza Akismet per ridurre lo spam. Scopri come vengono elaborati i dati dei tuoi commenti.